lowlab.social

no feed found - is lowlab.social running 1.1.1 or higher?